%global goipath github.com/transip/gotransip
Version:        5.8.1
%gometa

%global common_description %{expand:
This is the Go client for the TransIP API. To use it you need an account with
TransIP, enable API usage and setup a private API key.}

%ifnarch %{arm} %{ix86}
# https://github.com/transip/gotransip/issues/11
%bcond_without tests
%endif

Name:           %{goname}
Release:        2%{?dist}
Summary:        TransIP API client for Go
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

%if %{with tests}
BuildRequires:  golang(github.com/stretchr/testify/assert)
%endif


%description
%{common_description}


%package devel
Summary:        %{summary}
BuildArch:      noarch


%description devel
%{common_description}

This package contains the source code needed for building packages that import
the %{goipath} Go namespace.


%prep
%forgeautosetup


%install
%goinstall


%if %{with tests}
%check
%gochecks
%endif


%files devel -f devel.file-list
%license LICENSE
%doc README.md


%changelog
* Fri Feb 22 2019 Carl George <carl@george.computer> - 5.8.1-2
- Skip tests on 32bit architectures

* Mon Feb 11 2019 Carl George <carl@george.computer> - 5.8.1-1
- Initial package
